## py3status 3.5

=== debian/changelog ===
py3status (3.5-1) unstable; urgency=low

  * Autogenerated by py2dsp v1.20151008 (Closes: #780806)

 -- Sebastien Delafond <seb@debian.org>  Sat, 05 Aug 2017 20:27:48 +0000

## py3status 3.31

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = py3status
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## py3status 3.7

=== debian/changelog ===
py3status (3.7-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.7

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Jan 2018 11:30:37 +0100

py3status (3.6-1) unstable; urgency=medium

  * New upstream version 3.6

 -- Sebastien Delafond <seb@debian.org>  Sat, 07 Oct 2017 10:37:44 +0200

=== debian/control ===
Source: py3status
Section: python
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.0.0
Homepage: https://github.com/ultrabug/py3status
Vcs-Git: https://anonscm.debian.org/git/collab-maint/py3status.git
Vcs-Browser: https://anonscm.debian.org/?p=collab-maint/py3status.git;a=summary

Package: py3status
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, i3status
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: extensible i3status wrapper written in Python (Python3 package)
 Using py3status, you can take control of your i3bar easily by:
 .
  - using one of the available shipped with py3status
  - grouping multiple modules and automatically or manually cycle their display
  - writing your own modules and have their output displayed on your bar
  - handling click events on your i3bar and play with them in no time
  - seeing your clock tick every second whatever your i3status interval
 .
 No extra configuration file needed, i3status' one will be used directly
 .
 This is the Python3 package

## py3status 3.12

=== debian/changelog ===
py3status (3.12-1) unstable; urgency=medium

  * New upstream version 3.12

 -- Sebastien Delafond <seb@debian.org>  Thu, 16 Aug 2018 08:30:56 +0200

py3status (3.11-1) unstable; urgency=medium

  * New upstream version 3.11

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Aug 2018 08:08:35 +0200

py3status (3.10-1) unstable; urgency=medium

  * New upstream version 3.10

 -- Sebastien Delafond <seb@debian.org>  Thu, 21 Jun 2018 15:15:16 +0200

py3status (3.8-1) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o
  * New upstream version 3.8
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 04 Apr 2018 09:39:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: py3status
-Section: python
+Section: utils
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/ultrabug/py3status
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/py3status.git
-Vcs-Browser: https://anonscm.debian.org/?p=collab-maint/py3status.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/py3status.git
+Vcs-Browser: https://salsa.debian.org/debian/py3status
 
 Package: py3status
 Architecture: all

## py3status 3.14

=== debian/changelog ===
py3status (3.14-2) unstable; urgency=medium

  * Depend on file (Closes: #927164)

 -- Sebastien Delafond <seb@debian.org>  Mon, 15 Apr 2019 22:09:39 +0200

py3status (3.14-1) unstable; urgency=medium

  * New upstream version 3.14 (Closes: #915885)

 -- Sebastien Delafond <seb@debian.org>  Fri, 07 Dec 2018 16:49:25 +0100

py3status (3.13-1) unstable; urgency=medium

  * New upstream version 3.13 (Closes: #908490)
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Mon, 01 Oct 2018 12:01:17 -0700

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Build-Depends: debhelper (>= 9), dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/ultrabug/py3status
 Vcs-Git: https://salsa.debian.org/debian/py3status.git
 Vcs-Browser: https://salsa.debian.org/debian/py3status
 
 Package: py3status
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, i3status
+Depends: ${misc:Depends}, ${python3:Depends}, i3status, file
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: extensible i3status wrapper written in Python (Python3 package)

## py3status 3.22

=== debian/changelog ===
py3status (3.22-1) unstable; urgency=medium

  * New upstream version 3.22
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Dec 2019 08:34:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/ultrabug/py3status
 Vcs-Git: https://salsa.debian.org/debian/py3status.git
 Vcs-Browser: https://salsa.debian.org/debian/py3status

=== debian/watch ===
# try also https://pypi.debian.net/py3status/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/py3status/py3status-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## py3status 3.31

=== debian/changelog ===
py3status (3.31-1) unstable; urgency=medium

  * New upstream version 3.31
  * debhelper-compat 12
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Fri, 11 Dec 2020 09:59:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
-               python3-all,
-               python3-setuptools,
-Standards-Version: 4.4.1
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ python3-all,
+ python3-setuptools,
+Standards-Version: 4.5.0
 Homepage: https://github.com/ultrabug/py3status
 Vcs-Git: https://salsa.debian.org/debian/py3status.git
 Vcs-Browser: https://salsa.debian.org/debian/py3status

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=py3status
export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
%:
	dh $@ --with python3 --buildsystem=pybuild

## py3status 3.44

=== debian/changelog ===
py3status (3.44-1) unstable; urgency=medium

  * New upstream version 3.44

 -- Sebastien Delafond <seb@debian.org>  Mon, 25 Apr 2022 08:45:51 +0200

## py3status 3.47

=== debian/changelog ===
py3status (3.47-1) unstable; urgency=medium

  * New upstream version 3.47
  * Bump-up Standards-Version
  * Bump-up d/watch version

 -- Sebastien Delafond <seb@debian.org>  Fri, 21 Oct 2022 07:41:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ultrabug/py3status
 Vcs-Git: https://salsa.debian.org/debian/py3status.git
 Vcs-Browser: https://salsa.debian.org/debian/py3status

## py3status 3.54

=== debian/changelog ===
py3status (3.54-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: fix long description (Closes: #988479)

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Dec 2023 16:43:31 +0100

py3status (3.54-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.54

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Dec 2023 16:30:15 +0100    

py3status (3.53-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

  [ Sébastien Delafond ]
  * New upstream version 3.53
  * d/control: build-depend on pybuild-plugin-pyproject and python3-hatchling

 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Sep 2023 09:50:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-setuptools,
 Standards-Version: 4.6.1
 Homepage: https://github.com/ultrabug/py3status
@@ -20,12 +22,12 @@
 Description: extensible i3status wrapper written in Python (Python3 package)
  Using py3status, you can take control of your i3bar easily by:
  .
-  - using one of the available shipped with py3status
+  - using one of the available modules shipped with py3status
   - grouping multiple modules and automatically or manually cycle their display
   - writing your own modules and have their output displayed on your bar
   - handling click events on your i3bar and play with them in no time
   - seeing your clock tick every second whatever your i3status interval
  .
- No extra configuration file needed, i3status' one will be used directly
+ No extra configuration file needed, i3status' one will be used directly.
  .
- This is the Python3 package
+ This is the Python3 package.

## py3status 3.58

=== debian/changelog ===
py3status (3.58-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.58
  * d/control: bump up Standards-Version
  * d/rules: fix permissions and install additional README

 -- Sebastien Delafond <seb@debian.org>  Sat, 15 Jun 2024 09:07:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-hatchling,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ultrabug/py3status
 Vcs-Git: https://salsa.debian.org/debian/py3status.git
 Vcs-Browser: https://salsa.debian.org/debian/py3status

## py3status 3.60

=== debian/changelog ===
py3status (3.60-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.60 (Closes: #1084713)

 -- Sebastien Delafond <seb@debian.org>  Fri, 25 Oct 2024 07:09:41 +0200

py3status (3.59-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.59
  * d/control: bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 11 Sep 2024 10:56:40 +0200

## py3status 3.61

=== debian/changelog ===
py3status (3.61-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.61 (Closes: #1082501)

 -- Sebastien Delafond <seb@debian.org>  Thu, 05 Dec 2024 12:42:10 +0100

## py3status 3.62

=== debian/changelog ===
py3status (3.62-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/watch: v5
  * Bump up Standards-Version
  * Add autopkgtests

 -- Sebastien Delafond <seb@debian.org>  Sat, 20 Sep 2025 06:26:44 +0200

py3status (3.62-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.62 (Closes: #1083568)

 -- Sebastien Delafond <seb@debian.org>  Mon, 25 Aug 2025 11:03:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-hatchling,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/ultrabug/py3status
 Vcs-Git: https://salsa.debian.org/debian/py3status.git
 Vcs-Browser: https://salsa.debian.org/debian/py3status

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=py3status

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_fixperms:
	chmod 644 $(CURDIR)/debian/$(PYBUILD_NAME)/usr/lib/python3/dist-packages/$(PYBUILD_NAME)/__init__.py

execute_before_dh_auto_build:
	mv $(CURDIR)/py3status/modules/README.md $(CURDIR)/README-modules.md

execute_after_dh_auto_clean:
	rm -f $(CURDIR)/README-modules.md

=== debian/tests/control ===
Test-Command: py3-cmd --version

Test-Command: py3status --version
Depends: @, procps

Tests: clock
Depends: @, procps

=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/p/py3status/
Matching-Pattern: py3status-@ANY_VERSION@@ARCHIVE_EXT@

## py3status 3.63

=== debian/changelog ===
py3status (3.63-2ubuntu1) resolute; urgency=medium

  * fix s390x hang where 'file --mime-encoding' blocks indefinitely when
    the magic database is slow to load (LP: #2143116)
    - d/p/fix-file-encoding-subprocess-timeout.patch add timeout
      to 'file' subprocess call in parse_config
    - debian/tests/clock: increase timeout from 1s to 5s

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Fri, 27 Feb 2026 16:43:36 +0100

py3status (3.63-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Bump-up Standards-Version
  * tests: pass on non zero-padded day of the month
  * Rebuild with latest dh-python (Closes: #1083568)

 -- Sebastien Delafond <seb@debian.org>  Mon, 02 Feb 2026 18:47:29 +0100

py3status (3.63-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 3.63

 -- Sebastien Delafond <seb@debian.org>  Sun, 23 Nov 2025 08:45:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: py3status
 Section: utils
 Priority: optional
-Maintainer: Sebastien Delafond <seb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -9,7 +10,7 @@
  python3-all,
  python3-hatchling,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ultrabug/py3status
 Vcs-Git: https://salsa.debian.org/debian/py3status.git
 Vcs-Browser: https://salsa.debian.org/debian/py3status
